Create a Trunk
Create a new SIP trunk for your account.
Create a Trunk
Create a new SIP trunk to connect your voice infrastructure to the TryVox network.
Create Trunk
POST https://api.tryvox.io/v1/account/{account_id}/trunksRequest Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| name | string | yes | Friendly name for the trunk |
| auth_type | string | yes | Authentication type: ip or credential |
| termination_uri | string | no | SIP URI for outbound call routing (e.g., sip:pbx.example.com:5060) |
| origination_uris | array | no | Array of SIP URIs for inbound call routing |
| max_channels | integer | no | Maximum concurrent channels (0 = unlimited, default: 0) |
Example Request
curl -X POST https://api.tryvox.io/v1/account/acc_1a2b3c/trunks \
-H "Authorization: Bearer tvx_sk_live_..." \
-H "Content-Type: application/json" \
-d '{
"name": "Production Trunk",
"auth_type": "ip",
"termination_uri": "sip:pbx.example.com:5060",
"max_channels": 100
}'Response
{
"id": "trunk_4x5y6z",
"name": "Production Trunk",
"auth_type": "ip",
"sip_domain": "trunk-4x5y6z.sip.tryvox.io",
"termination_uri": "sip:pbx.example.com:5060",
"origination_uris": [],
"max_channels": 100,
"status": "active",
"created_at": "2026-04-09T10:30:00Z"
}Other Trunk Operations
List Trunks
GET https://api.tryvox.io/v1/account/{account_id}/trunksReturns an array of all trunks in your account.
curl https://api.tryvox.io/v1/account/acc_1a2b3c/trunks \
-H "Authorization: Bearer tvx_sk_live_..."Get Trunk
GET https://api.tryvox.io/v1/account/{account_id}/trunks/{trunk_id}Retrieve details for a specific trunk.
curl https://api.tryvox.io/v1/account/acc_1a2b3c/trunks/trunk_4x5y6z \
-H "Authorization: Bearer tvx_sk_live_..."Update Trunk
PUT https://api.tryvox.io/v1/account/{account_id}/trunks/{trunk_id}Update trunk configuration. Accepts the same parameters as the create endpoint.
curl -X PUT https://api.tryvox.io/v1/account/acc_1a2b3c/trunks/trunk_4x5y6z \
-H "Authorization: Bearer tvx_sk_live_..." \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Trunk Name",
"max_channels": 200
}'Delete Trunk
DELETE https://api.tryvox.io/v1/account/{account_id}/trunks/{trunk_id}Permanently delete a trunk. This action cannot be undone.
curl -X DELETE https://api.tryvox.io/v1/account/acc_1a2b3c/trunks/trunk_4x5y6z \
-H "Authorization: Bearer tvx_sk_live_..."Test Trunk
POST https://api.tryvox.io/v1/account/{account_id}/trunks/{trunk_id}/testTest connectivity and configuration for a trunk.
curl -X POST https://api.tryvox.io/v1/account/acc_1a2b3c/trunks/trunk_4x5y6z/test \
-H "Authorization: Bearer tvx_sk_live_..."Returns diagnostic information including SIP OPTIONS ping results and routing configuration validation.